IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network228.32.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
- Network address
228.32.0.0- Broadcast address
228.63.255.255- First usable
228.32.0.1- Last usable
228.63.255.254- Usable hosts
- 2,097,150 (2,097,152 less the network and broadcast addresses)
- Subnet mask
255.224.0.0- Wildcard mask
0.31.255.255(Cisco ACLs, OSPF)- Prefix length
- /11
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E4200000· Integer3827302400to3829399551 - Reverse DNS zones
32.228.in-addr.arpa33.228.in-addr.arpa34.228.in-addr.arpa35.228.in-addr.arpa36.228.in-addr.arpa37.228.in-addr.arpa38.228.in-addr.arpa39.228.in-addr.arpa40.228.in-addr.arpa41.228.in-addr.arpa42.228.in-addr.arpa43.228.in-addr.arpa44.228.in-addr.arpa45.228.in-addr.arpa46.228.in-addr.arpa47.228.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100100.00100000.00000000.00000000 | 228.32.0.0 |
| Subnet mask | 11111111.11100000.00000000.00000000 | 255.224.0.0 |
| Network | 11100100.00100000.00000000.00000000 | 228.32.0.0 |
| Broadcast | 11100100.00111111.11111111.11111111 | 228.63.255.255 |
Split into smaller subnets
/12 (2)/13 (4)/14 (8)/15 (16)/16 (32)/17 (64)/18 (128)/19 (256)/20 (512)/21 (1,024)/22 (2,048)/23 (4,096)
228.32.0.0/11 makes 2,048 subnets of /22; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 228.32.0.0/22 | 228.32.0.1 to 228.32.3.254 | 228.32.3.255 | 1,022 |
| 2 | 228.32.4.0/22 | 228.32.4.1 to 228.32.7.254 | 228.32.7.255 | 1,022 |
| 3 | 228.32.8.0/22 | 228.32.8.1 to 228.32.11.254 | 228.32.11.255 | 1,022 |
| 4 | 228.32.12.0/22 | 228.32.12.1 to 228.32.15.254 | 228.32.15.255 | 1,022 |
| 5 | 228.32.16.0/22 | 228.32.16.1 to 228.32.19.254 | 228.32.19.255 | 1,022 |
| 6 | 228.32.20.0/22 | 228.32.20.1 to 228.32.23.254 | 228.32.23.255 | 1,022 |
| 7 | 228.32.24.0/22 | 228.32.24.1 to 228.32.27.254 | 228.32.27.255 | 1,022 |
| 8 | 228.32.28.0/22 | 228.32.28.1 to 228.32.31.254 | 228.32.31.255 | 1,022 |
| 9 | 228.32.32.0/22 | 228.32.32.1 to 228.32.35.254 | 228.32.35.255 | 1,022 |
| 10 | 228.32.36.0/22 | 228.32.36.1 to 228.32.39.254 | 228.32.39.255 | 1,022 |
| 11 | 228.32.40.0/22 | 228.32.40.1 to 228.32.43.254 | 228.32.43.255 | 1,022 |
| 12 | 228.32.44.0/22 | 228.32.44.1 to 228.32.47.254 | 228.32.47.255 | 1,022 |
| 13 | 228.32.48.0/22 | 228.32.48.1 to 228.32.51.254 | 228.32.51.255 | 1,022 |
| 14 | 228.32.52.0/22 | 228.32.52.1 to 228.32.55.254 | 228.32.55.255 | 1,022 |
| 15 | 228.32.56.0/22 | 228.32.56.1 to 228.32.59.254 | 228.32.59.255 | 1,022 |
| 16 | 228.32.60.0/22 | 228.32.60.1 to 228.32.63.254 | 228.32.63.255 | 1,022 |
| 17 | 228.32.64.0/22 | 228.32.64.1 to 228.32.67.254 | 228.32.67.255 | 1,022 |
| 18 | 228.32.68.0/22 | 228.32.68.1 to 228.32.71.254 | 228.32.71.255 | 1,022 |
| 19 | 228.32.72.0/22 | 228.32.72.1 to 228.32.75.254 | 228.32.75.255 | 1,022 |
| 20 | 228.32.76.0/22 | 228.32.76.1 to 228.32.79.254 | 228.32.79.255 | 1,022 |
| 21 | 228.32.80.0/22 | 228.32.80.1 to 228.32.83.254 | 228.32.83.255 | 1,022 |
| 22 | 228.32.84.0/22 | 228.32.84.1 to 228.32.87.254 | 228.32.87.255 | 1,022 |
| 23 | 228.32.88.0/22 | 228.32.88.1 to 228.32.91.254 | 228.32.91.255 | 1,022 |
| 24 | 228.32.92.0/22 | 228.32.92.1 to 228.32.95.254 | 228.32.95.255 | 1,022 |
| 25 | 228.32.96.0/22 | 228.32.96.1 to 228.32.99.254 | 228.32.99.255 | 1,022 |
| 26 | 228.32.100.0/22 | 228.32.100.1 to 228.32.103.254 | 228.32.103.255 | 1,022 |
| 27 | 228.32.104.0/22 | 228.32.104.1 to 228.32.107.254 | 228.32.107.255 | 1,022 |
| 28 | 228.32.108.0/22 | 228.32.108.1 to 228.32.111.254 | 228.32.111.255 | 1,022 |
| 29 | 228.32.112.0/22 | 228.32.112.1 to 228.32.115.254 | 228.32.115.255 | 1,022 |
| 30 | 228.32.116.0/22 | 228.32.116.1 to 228.32.119.254 | 228.32.119.255 | 1,022 |
| 31 | 228.32.120.0/22 | 228.32.120.1 to 228.32.123.254 | 228.32.123.255 | 1,022 |
| 32 | 228.32.124.0/22 | 228.32.124.1 to 228.32.127.254 | 228.32.127.255 | 1,022 |
| 33 | 228.32.128.0/22 | 228.32.128.1 to 228.32.131.254 | 228.32.131.255 | 1,022 |
| 34 | 228.32.132.0/22 | 228.32.132.1 to 228.32.135.254 | 228.32.135.255 | 1,022 |
| 35 | 228.32.136.0/22 | 228.32.136.1 to 228.32.139.254 | 228.32.139.255 | 1,022 |
| 36 | 228.32.140.0/22 | 228.32.140.1 to 228.32.143.254 | 228.32.143.255 | 1,022 |
| 37 | 228.32.144.0/22 | 228.32.144.1 to 228.32.147.254 | 228.32.147.255 | 1,022 |
| 38 | 228.32.148.0/22 | 228.32.148.1 to 228.32.151.254 | 228.32.151.255 | 1,022 |
| 39 | 228.32.152.0/22 | 228.32.152.1 to 228.32.155.254 | 228.32.155.255 | 1,022 |
| 40 | 228.32.156.0/22 | 228.32.156.1 to 228.32.159.254 | 228.32.159.255 | 1,022 |
| 41 | 228.32.160.0/22 | 228.32.160.1 to 228.32.163.254 | 228.32.163.255 | 1,022 |
| 42 | 228.32.164.0/22 | 228.32.164.1 to 228.32.167.254 | 228.32.167.255 | 1,022 |
| 43 | 228.32.168.0/22 | 228.32.168.1 to 228.32.171.254 | 228.32.171.255 | 1,022 |
| 44 | 228.32.172.0/22 | 228.32.172.1 to 228.32.175.254 | 228.32.175.255 | 1,022 |
| 45 | 228.32.176.0/22 | 228.32.176.1 to 228.32.179.254 | 228.32.179.255 | 1,022 |
| 46 | 228.32.180.0/22 | 228.32.180.1 to 228.32.183.254 | 228.32.183.255 | 1,022 |
| 47 | 228.32.184.0/22 | 228.32.184.1 to 228.32.187.254 | 228.32.187.255 | 1,022 |
| 48 | 228.32.188.0/22 | 228.32.188.1 to 228.32.191.254 | 228.32.191.255 | 1,022 |
| 49 | 228.32.192.0/22 | 228.32.192.1 to 228.32.195.254 | 228.32.195.255 | 1,022 |
| 50 | 228.32.196.0/22 | 228.32.196.1 to 228.32.199.254 | 228.32.199.255 | 1,022 |
| 51 | 228.32.200.0/22 | 228.32.200.1 to 228.32.203.254 | 228.32.203.255 | 1,022 |
| 52 | 228.32.204.0/22 | 228.32.204.1 to 228.32.207.254 | 228.32.207.255 | 1,022 |
| 53 | 228.32.208.0/22 | 228.32.208.1 to 228.32.211.254 | 228.32.211.255 | 1,022 |
| 54 | 228.32.212.0/22 | 228.32.212.1 to 228.32.215.254 | 228.32.215.255 | 1,022 |
| 55 | 228.32.216.0/22 | 228.32.216.1 to 228.32.219.254 | 228.32.219.255 | 1,022 |
| 56 | 228.32.220.0/22 | 228.32.220.1 to 228.32.223.254 | 228.32.223.255 | 1,022 |
| 57 | 228.32.224.0/22 | 228.32.224.1 to 228.32.227.254 | 228.32.227.255 | 1,022 |
| 58 | 228.32.228.0/22 | 228.32.228.1 to 228.32.231.254 | 228.32.231.255 | 1,022 |
| 59 | 228.32.232.0/22 | 228.32.232.1 to 228.32.235.254 | 228.32.235.255 | 1,022 |
| 60 | 228.32.236.0/22 | 228.32.236.1 to 228.32.239.254 | 228.32.239.255 | 1,022 |
| 61 | 228.32.240.0/22 | 228.32.240.1 to 228.32.243.254 | 228.32.243.255 | 1,022 |
| 62 | 228.32.244.0/22 | 228.32.244.1 to 228.32.247.254 | 228.32.247.255 | 1,022 |
| 63 | 228.32.248.0/22 | 228.32.248.1 to 228.32.251.254 | 228.32.251.255 | 1,022 |
| 64 | 228.32.252.0/22 | 228.32.252.1 to 228.32.255.254 | 228.32.255.255 | 1,022 |
| 65 | 228.33.0.0/22 | 228.33.0.1 to 228.33.3.254 | 228.33.3.255 | 1,022 |
| 66 | 228.33.4.0/22 | 228.33.4.1 to 228.33.7.254 | 228.33.7.255 | 1,022 |
| 67 | 228.33.8.0/22 | 228.33.8.1 to 228.33.11.254 | 228.33.11.255 | 1,022 |
| 68 | 228.33.12.0/22 | 228.33.12.1 to 228.33.15.254 | 228.33.15.255 | 1,022 |
| 69 | 228.33.16.0/22 | 228.33.16.1 to 228.33.19.254 | 228.33.19.255 | 1,022 |
| 70 | 228.33.20.0/22 | 228.33.20.1 to 228.33.23.254 | 228.33.23.255 | 1,022 |
| 71 | 228.33.24.0/22 | 228.33.24.1 to 228.33.27.254 | 228.33.27.255 | 1,022 |
| 72 | 228.33.28.0/22 | 228.33.28.1 to 228.33.31.254 | 228.33.31.255 | 1,022 |
| 73 | 228.33.32.0/22 | 228.33.32.1 to 228.33.35.254 | 228.33.35.255 | 1,022 |
| 74 | 228.33.36.0/22 | 228.33.36.1 to 228.33.39.254 | 228.33.39.255 | 1,022 |
| 75 | 228.33.40.0/22 | 228.33.40.1 to 228.33.43.254 | 228.33.43.255 | 1,022 |
| 76 | 228.33.44.0/22 | 228.33.44.1 to 228.33.47.254 | 228.33.47.255 | 1,022 |
| 77 | 228.33.48.0/22 | 228.33.48.1 to 228.33.51.254 | 228.33.51.255 | 1,022 |
| 78 | 228.33.52.0/22 | 228.33.52.1 to 228.33.55.254 | 228.33.55.255 | 1,022 |
| 79 | 228.33.56.0/22 | 228.33.56.1 to 228.33.59.254 | 228.33.59.255 | 1,022 |
| 80 | 228.33.60.0/22 | 228.33.60.1 to 228.33.63.254 | 228.33.63.255 | 1,022 |
| 81 | 228.33.64.0/22 | 228.33.64.1 to 228.33.67.254 | 228.33.67.255 | 1,022 |
| 82 | 228.33.68.0/22 | 228.33.68.1 to 228.33.71.254 | 228.33.71.255 | 1,022 |
| 83 | 228.33.72.0/22 | 228.33.72.1 to 228.33.75.254 | 228.33.75.255 | 1,022 |
| 84 | 228.33.76.0/22 | 228.33.76.1 to 228.33.79.254 | 228.33.79.255 | 1,022 |
| 85 | 228.33.80.0/22 | 228.33.80.1 to 228.33.83.254 | 228.33.83.255 | 1,022 |
| 86 | 228.33.84.0/22 | 228.33.84.1 to 228.33.87.254 | 228.33.87.255 | 1,022 |
| 87 | 228.33.88.0/22 | 228.33.88.1 to 228.33.91.254 | 228.33.91.255 | 1,022 |
| 88 | 228.33.92.0/22 | 228.33.92.1 to 228.33.95.254 | 228.33.95.255 | 1,022 |
| 89 | 228.33.96.0/22 | 228.33.96.1 to 228.33.99.254 | 228.33.99.255 | 1,022 |
| 90 | 228.33.100.0/22 | 228.33.100.1 to 228.33.103.254 | 228.33.103.255 | 1,022 |
| 91 | 228.33.104.0/22 | 228.33.104.1 to 228.33.107.254 | 228.33.107.255 | 1,022 |
| 92 | 228.33.108.0/22 | 228.33.108.1 to 228.33.111.254 | 228.33.111.255 | 1,022 |
| 93 | 228.33.112.0/22 | 228.33.112.1 to 228.33.115.254 | 228.33.115.255 | 1,022 |
| 94 | 228.33.116.0/22 | 228.33.116.1 to 228.33.119.254 | 228.33.119.255 | 1,022 |
| 95 | 228.33.120.0/22 | 228.33.120.1 to 228.33.123.254 | 228.33.123.255 | 1,022 |
| 96 | 228.33.124.0/22 | 228.33.124.1 to 228.33.127.254 | 228.33.127.255 | 1,022 |
| 97 | 228.33.128.0/22 | 228.33.128.1 to 228.33.131.254 | 228.33.131.255 | 1,022 |
| 98 | 228.33.132.0/22 | 228.33.132.1 to 228.33.135.254 | 228.33.135.255 | 1,022 |
| 99 | 228.33.136.0/22 | 228.33.136.1 to 228.33.139.254 | 228.33.139.255 | 1,022 |
| 100 | 228.33.140.0/22 | 228.33.140.1 to 228.33.143.254 | 228.33.143.255 | 1,022 |
| 101 | 228.33.144.0/22 | 228.33.144.1 to 228.33.147.254 | 228.33.147.255 | 1,022 |
| 102 | 228.33.148.0/22 | 228.33.148.1 to 228.33.151.254 | 228.33.151.255 | 1,022 |
| 103 | 228.33.152.0/22 | 228.33.152.1 to 228.33.155.254 | 228.33.155.255 | 1,022 |
| 104 | 228.33.156.0/22 | 228.33.156.1 to 228.33.159.254 | 228.33.159.255 | 1,022 |
| 105 | 228.33.160.0/22 | 228.33.160.1 to 228.33.163.254 | 228.33.163.255 | 1,022 |
| 106 | 228.33.164.0/22 | 228.33.164.1 to 228.33.167.254 | 228.33.167.255 | 1,022 |
| 107 | 228.33.168.0/22 | 228.33.168.1 to 228.33.171.254 | 228.33.171.255 | 1,022 |
| 108 | 228.33.172.0/22 | 228.33.172.1 to 228.33.175.254 | 228.33.175.255 | 1,022 |
| 109 | 228.33.176.0/22 | 228.33.176.1 to 228.33.179.254 | 228.33.179.255 | 1,022 |
| 110 | 228.33.180.0/22 | 228.33.180.1 to 228.33.183.254 | 228.33.183.255 | 1,022 |
| 111 | 228.33.184.0/22 | 228.33.184.1 to 228.33.187.254 | 228.33.187.255 | 1,022 |
| 112 | 228.33.188.0/22 | 228.33.188.1 to 228.33.191.254 | 228.33.191.255 | 1,022 |
| 113 | 228.33.192.0/22 | 228.33.192.1 to 228.33.195.254 | 228.33.195.255 | 1,022 |
| 114 | 228.33.196.0/22 | 228.33.196.1 to 228.33.199.254 | 228.33.199.255 | 1,022 |
| 115 | 228.33.200.0/22 | 228.33.200.1 to 228.33.203.254 | 228.33.203.255 | 1,022 |
| 116 | 228.33.204.0/22 | 228.33.204.1 to 228.33.207.254 | 228.33.207.255 | 1,022 |
| 117 | 228.33.208.0/22 | 228.33.208.1 to 228.33.211.254 | 228.33.211.255 | 1,022 |
| 118 | 228.33.212.0/22 | 228.33.212.1 to 228.33.215.254 | 228.33.215.255 | 1,022 |
| 119 | 228.33.216.0/22 | 228.33.216.1 to 228.33.219.254 | 228.33.219.255 | 1,022 |
| 120 | 228.33.220.0/22 | 228.33.220.1 to 228.33.223.254 | 228.33.223.255 | 1,022 |
| 121 | 228.33.224.0/22 | 228.33.224.1 to 228.33.227.254 | 228.33.227.255 | 1,022 |
| 122 | 228.33.228.0/22 | 228.33.228.1 to 228.33.231.254 | 228.33.231.255 | 1,022 |
| 123 | 228.33.232.0/22 | 228.33.232.1 to 228.33.235.254 | 228.33.235.255 | 1,022 |
| 124 | 228.33.236.0/22 | 228.33.236.1 to 228.33.239.254 | 228.33.239.255 | 1,022 |
| 125 | 228.33.240.0/22 | 228.33.240.1 to 228.33.243.254 | 228.33.243.255 | 1,022 |
| 126 | 228.33.244.0/22 | 228.33.244.1 to 228.33.247.254 | 228.33.247.255 | 1,022 |
| 127 | 228.33.248.0/22 | 228.33.248.1 to 228.33.251.254 | 228.33.251.255 | 1,022 |
| 128 | 228.33.252.0/22 | 228.33.252.1 to 228.33.255.254 | 228.33.255.255 | 1,022 |
| 129 | 228.34.0.0/22 | 228.34.0.1 to 228.34.3.254 | 228.34.3.255 | 1,022 |
| 130 | 228.34.4.0/22 | 228.34.4.1 to 228.34.7.254 | 228.34.7.255 | 1,022 |
| 131 | 228.34.8.0/22 | 228.34.8.1 to 228.34.11.254 | 228.34.11.255 | 1,022 |
| 132 | 228.34.12.0/22 | 228.34.12.1 to 228.34.15.254 | 228.34.15.255 | 1,022 |
| 133 | 228.34.16.0/22 | 228.34.16.1 to 228.34.19.254 | 228.34.19.255 | 1,022 |
| 134 | 228.34.20.0/22 | 228.34.20.1 to 228.34.23.254 | 228.34.23.255 | 1,022 |
| 135 | 228.34.24.0/22 | 228.34.24.1 to 228.34.27.254 | 228.34.27.255 | 1,022 |
| 136 | 228.34.28.0/22 | 228.34.28.1 to 228.34.31.254 | 228.34.31.255 | 1,022 |
| 137 | 228.34.32.0/22 | 228.34.32.1 to 228.34.35.254 | 228.34.35.255 | 1,022 |
| 138 | 228.34.36.0/22 | 228.34.36.1 to 228.34.39.254 | 228.34.39.255 | 1,022 |
| 139 | 228.34.40.0/22 | 228.34.40.1 to 228.34.43.254 | 228.34.43.255 | 1,022 |
| 140 | 228.34.44.0/22 | 228.34.44.1 to 228.34.47.254 | 228.34.47.255 | 1,022 |
| 141 | 228.34.48.0/22 | 228.34.48.1 to 228.34.51.254 | 228.34.51.255 | 1,022 |
| 142 | 228.34.52.0/22 | 228.34.52.1 to 228.34.55.254 | 228.34.55.255 | 1,022 |
| 143 | 228.34.56.0/22 | 228.34.56.1 to 228.34.59.254 | 228.34.59.255 | 1,022 |
| 144 | 228.34.60.0/22 | 228.34.60.1 to 228.34.63.254 | 228.34.63.255 | 1,022 |
| 145 | 228.34.64.0/22 | 228.34.64.1 to 228.34.67.254 | 228.34.67.255 | 1,022 |
| 146 | 228.34.68.0/22 | 228.34.68.1 to 228.34.71.254 | 228.34.71.255 | 1,022 |
| 147 | 228.34.72.0/22 | 228.34.72.1 to 228.34.75.254 | 228.34.75.255 | 1,022 |
| 148 | 228.34.76.0/22 | 228.34.76.1 to 228.34.79.254 | 228.34.79.255 | 1,022 |
| 149 | 228.34.80.0/22 | 228.34.80.1 to 228.34.83.254 | 228.34.83.255 | 1,022 |
| 150 | 228.34.84.0/22 | 228.34.84.1 to 228.34.87.254 | 228.34.87.255 | 1,022 |
| 151 | 228.34.88.0/22 | 228.34.88.1 to 228.34.91.254 | 228.34.91.255 | 1,022 |
| 152 | 228.34.92.0/22 | 228.34.92.1 to 228.34.95.254 | 228.34.95.255 | 1,022 |
| 153 | 228.34.96.0/22 | 228.34.96.1 to 228.34.99.254 | 228.34.99.255 | 1,022 |
| 154 | 228.34.100.0/22 | 228.34.100.1 to 228.34.103.254 | 228.34.103.255 | 1,022 |
| 155 | 228.34.104.0/22 | 228.34.104.1 to 228.34.107.254 | 228.34.107.255 | 1,022 |
| 156 | 228.34.108.0/22 | 228.34.108.1 to 228.34.111.254 | 228.34.111.255 | 1,022 |
| 157 | 228.34.112.0/22 | 228.34.112.1 to 228.34.115.254 | 228.34.115.255 | 1,022 |
| 158 | 228.34.116.0/22 | 228.34.116.1 to 228.34.119.254 | 228.34.119.255 | 1,022 |
| 159 | 228.34.120.0/22 | 228.34.120.1 to 228.34.123.254 | 228.34.123.255 | 1,022 |
| 160 | 228.34.124.0/22 | 228.34.124.1 to 228.34.127.254 | 228.34.127.255 | 1,022 |
| 161 | 228.34.128.0/22 | 228.34.128.1 to 228.34.131.254 | 228.34.131.255 | 1,022 |
| 162 | 228.34.132.0/22 | 228.34.132.1 to 228.34.135.254 | 228.34.135.255 | 1,022 |
| 163 | 228.34.136.0/22 | 228.34.136.1 to 228.34.139.254 | 228.34.139.255 | 1,022 |
| 164 | 228.34.140.0/22 | 228.34.140.1 to 228.34.143.254 | 228.34.143.255 | 1,022 |
| 165 | 228.34.144.0/22 | 228.34.144.1 to 228.34.147.254 | 228.34.147.255 | 1,022 |
| 166 | 228.34.148.0/22 | 228.34.148.1 to 228.34.151.254 | 228.34.151.255 | 1,022 |
| 167 | 228.34.152.0/22 | 228.34.152.1 to 228.34.155.254 | 228.34.155.255 | 1,022 |
| 168 | 228.34.156.0/22 | 228.34.156.1 to 228.34.159.254 | 228.34.159.255 | 1,022 |
| 169 | 228.34.160.0/22 | 228.34.160.1 to 228.34.163.254 | 228.34.163.255 | 1,022 |
| 170 | 228.34.164.0/22 | 228.34.164.1 to 228.34.167.254 | 228.34.167.255 | 1,022 |
| 171 | 228.34.168.0/22 | 228.34.168.1 to 228.34.171.254 | 228.34.171.255 | 1,022 |
| 172 | 228.34.172.0/22 | 228.34.172.1 to 228.34.175.254 | 228.34.175.255 | 1,022 |
| 173 | 228.34.176.0/22 | 228.34.176.1 to 228.34.179.254 | 228.34.179.255 | 1,022 |
| 174 | 228.34.180.0/22 | 228.34.180.1 to 228.34.183.254 | 228.34.183.255 | 1,022 |
| 175 | 228.34.184.0/22 | 228.34.184.1 to 228.34.187.254 | 228.34.187.255 | 1,022 |
| 176 | 228.34.188.0/22 | 228.34.188.1 to 228.34.191.254 | 228.34.191.255 | 1,022 |
| 177 | 228.34.192.0/22 | 228.34.192.1 to 228.34.195.254 | 228.34.195.255 | 1,022 |
| 178 | 228.34.196.0/22 | 228.34.196.1 to 228.34.199.254 | 228.34.199.255 | 1,022 |
| 179 | 228.34.200.0/22 | 228.34.200.1 to 228.34.203.254 | 228.34.203.255 | 1,022 |
| 180 | 228.34.204.0/22 | 228.34.204.1 to 228.34.207.254 | 228.34.207.255 | 1,022 |
| 181 | 228.34.208.0/22 | 228.34.208.1 to 228.34.211.254 | 228.34.211.255 | 1,022 |
| 182 | 228.34.212.0/22 | 228.34.212.1 to 228.34.215.254 | 228.34.215.255 | 1,022 |
| 183 | 228.34.216.0/22 | 228.34.216.1 to 228.34.219.254 | 228.34.219.255 | 1,022 |
| 184 | 228.34.220.0/22 | 228.34.220.1 to 228.34.223.254 | 228.34.223.255 | 1,022 |
| 185 | 228.34.224.0/22 | 228.34.224.1 to 228.34.227.254 | 228.34.227.255 | 1,022 |
| 186 | 228.34.228.0/22 | 228.34.228.1 to 228.34.231.254 | 228.34.231.255 | 1,022 |
| 187 | 228.34.232.0/22 | 228.34.232.1 to 228.34.235.254 | 228.34.235.255 | 1,022 |
| 188 | 228.34.236.0/22 | 228.34.236.1 to 228.34.239.254 | 228.34.239.255 | 1,022 |
| 189 | 228.34.240.0/22 | 228.34.240.1 to 228.34.243.254 | 228.34.243.255 | 1,022 |
| 190 | 228.34.244.0/22 | 228.34.244.1 to 228.34.247.254 | 228.34.247.255 | 1,022 |
| 191 | 228.34.248.0/22 | 228.34.248.1 to 228.34.251.254 | 228.34.251.255 | 1,022 |
| 192 | 228.34.252.0/22 | 228.34.252.1 to 228.34.255.254 | 228.34.255.255 | 1,022 |
| 193 | 228.35.0.0/22 | 228.35.0.1 to 228.35.3.254 | 228.35.3.255 | 1,022 |
| 194 | 228.35.4.0/22 | 228.35.4.1 to 228.35.7.254 | 228.35.7.255 | 1,022 |
| 195 | 228.35.8.0/22 | 228.35.8.1 to 228.35.11.254 | 228.35.11.255 | 1,022 |
| 196 | 228.35.12.0/22 | 228.35.12.1 to 228.35.15.254 | 228.35.15.255 | 1,022 |
| 197 | 228.35.16.0/22 | 228.35.16.1 to 228.35.19.254 | 228.35.19.255 | 1,022 |
| 198 | 228.35.20.0/22 | 228.35.20.1 to 228.35.23.254 | 228.35.23.255 | 1,022 |
| 199 | 228.35.24.0/22 | 228.35.24.1 to 228.35.27.254 | 228.35.27.255 | 1,022 |
| 200 | 228.35.28.0/22 | 228.35.28.1 to 228.35.31.254 | 228.35.31.255 | 1,022 |
| 201 | 228.35.32.0/22 | 228.35.32.1 to 228.35.35.254 | 228.35.35.255 | 1,022 |
| 202 | 228.35.36.0/22 | 228.35.36.1 to 228.35.39.254 | 228.35.39.255 | 1,022 |
| 203 | 228.35.40.0/22 | 228.35.40.1 to 228.35.43.254 | 228.35.43.255 | 1,022 |
| 204 | 228.35.44.0/22 | 228.35.44.1 to 228.35.47.254 | 228.35.47.255 | 1,022 |
| 205 | 228.35.48.0/22 | 228.35.48.1 to 228.35.51.254 | 228.35.51.255 | 1,022 |
| 206 | 228.35.52.0/22 | 228.35.52.1 to 228.35.55.254 | 228.35.55.255 | 1,022 |
| 207 | 228.35.56.0/22 | 228.35.56.1 to 228.35.59.254 | 228.35.59.255 | 1,022 |
| 208 | 228.35.60.0/22 | 228.35.60.1 to 228.35.63.254 | 228.35.63.255 | 1,022 |
| 209 | 228.35.64.0/22 | 228.35.64.1 to 228.35.67.254 | 228.35.67.255 | 1,022 |
| 210 | 228.35.68.0/22 | 228.35.68.1 to 228.35.71.254 | 228.35.71.255 | 1,022 |
| 211 | 228.35.72.0/22 | 228.35.72.1 to 228.35.75.254 | 228.35.75.255 | 1,022 |
| 212 | 228.35.76.0/22 | 228.35.76.1 to 228.35.79.254 | 228.35.79.255 | 1,022 |
| 213 | 228.35.80.0/22 | 228.35.80.1 to 228.35.83.254 | 228.35.83.255 | 1,022 |
| 214 | 228.35.84.0/22 | 228.35.84.1 to 228.35.87.254 | 228.35.87.255 | 1,022 |
| 215 | 228.35.88.0/22 | 228.35.88.1 to 228.35.91.254 | 228.35.91.255 | 1,022 |
| 216 | 228.35.92.0/22 | 228.35.92.1 to 228.35.95.254 | 228.35.95.255 | 1,022 |
| 217 | 228.35.96.0/22 | 228.35.96.1 to 228.35.99.254 | 228.35.99.255 | 1,022 |
| 218 | 228.35.100.0/22 | 228.35.100.1 to 228.35.103.254 | 228.35.103.255 | 1,022 |
| 219 | 228.35.104.0/22 | 228.35.104.1 to 228.35.107.254 | 228.35.107.255 | 1,022 |
| 220 | 228.35.108.0/22 | 228.35.108.1 to 228.35.111.254 | 228.35.111.255 | 1,022 |
| 221 | 228.35.112.0/22 | 228.35.112.1 to 228.35.115.254 | 228.35.115.255 | 1,022 |
| 222 | 228.35.116.0/22 | 228.35.116.1 to 228.35.119.254 | 228.35.119.255 | 1,022 |
| 223 | 228.35.120.0/22 | 228.35.120.1 to 228.35.123.254 | 228.35.123.255 | 1,022 |
| 224 | 228.35.124.0/22 | 228.35.124.1 to 228.35.127.254 | 228.35.127.255 | 1,022 |
| 225 | 228.35.128.0/22 | 228.35.128.1 to 228.35.131.254 | 228.35.131.255 | 1,022 |
| 226 | 228.35.132.0/22 | 228.35.132.1 to 228.35.135.254 | 228.35.135.255 | 1,022 |
| 227 | 228.35.136.0/22 | 228.35.136.1 to 228.35.139.254 | 228.35.139.255 | 1,022 |
| 228 | 228.35.140.0/22 | 228.35.140.1 to 228.35.143.254 | 228.35.143.255 | 1,022 |
| 229 | 228.35.144.0/22 | 228.35.144.1 to 228.35.147.254 | 228.35.147.255 | 1,022 |
| 230 | 228.35.148.0/22 | 228.35.148.1 to 228.35.151.254 | 228.35.151.255 | 1,022 |
| 231 | 228.35.152.0/22 | 228.35.152.1 to 228.35.155.254 | 228.35.155.255 | 1,022 |
| 232 | 228.35.156.0/22 | 228.35.156.1 to 228.35.159.254 | 228.35.159.255 | 1,022 |
| 233 | 228.35.160.0/22 | 228.35.160.1 to 228.35.163.254 | 228.35.163.255 | 1,022 |
| 234 | 228.35.164.0/22 | 228.35.164.1 to 228.35.167.254 | 228.35.167.255 | 1,022 |
| 235 | 228.35.168.0/22 | 228.35.168.1 to 228.35.171.254 | 228.35.171.255 | 1,022 |
| 236 | 228.35.172.0/22 | 228.35.172.1 to 228.35.175.254 | 228.35.175.255 | 1,022 |
| 237 | 228.35.176.0/22 | 228.35.176.1 to 228.35.179.254 | 228.35.179.255 | 1,022 |
| 238 | 228.35.180.0/22 | 228.35.180.1 to 228.35.183.254 | 228.35.183.255 | 1,022 |
| 239 | 228.35.184.0/22 | 228.35.184.1 to 228.35.187.254 | 228.35.187.255 | 1,022 |
| 240 | 228.35.188.0/22 | 228.35.188.1 to 228.35.191.254 | 228.35.191.255 | 1,022 |
| 241 | 228.35.192.0/22 | 228.35.192.1 to 228.35.195.254 | 228.35.195.255 | 1,022 |
| 242 | 228.35.196.0/22 | 228.35.196.1 to 228.35.199.254 | 228.35.199.255 | 1,022 |
| 243 | 228.35.200.0/22 | 228.35.200.1 to 228.35.203.254 | 228.35.203.255 | 1,022 |
| 244 | 228.35.204.0/22 | 228.35.204.1 to 228.35.207.254 | 228.35.207.255 | 1,022 |
| 245 | 228.35.208.0/22 | 228.35.208.1 to 228.35.211.254 | 228.35.211.255 | 1,022 |
| 246 | 228.35.212.0/22 | 228.35.212.1 to 228.35.215.254 | 228.35.215.255 | 1,022 |
| 247 | 228.35.216.0/22 | 228.35.216.1 to 228.35.219.254 | 228.35.219.255 | 1,022 |
| 248 | 228.35.220.0/22 | 228.35.220.1 to 228.35.223.254 | 228.35.223.255 | 1,022 |
| 249 | 228.35.224.0/22 | 228.35.224.1 to 228.35.227.254 | 228.35.227.255 | 1,022 |
| 250 | 228.35.228.0/22 | 228.35.228.1 to 228.35.231.254 | 228.35.231.255 | 1,022 |
| 251 | 228.35.232.0/22 | 228.35.232.1 to 228.35.235.254 | 228.35.235.255 | 1,022 |
| 252 | 228.35.236.0/22 | 228.35.236.1 to 228.35.239.254 | 228.35.239.255 | 1,022 |
| 253 | 228.35.240.0/22 | 228.35.240.1 to 228.35.243.254 | 228.35.243.255 | 1,022 |
| 254 | 228.35.244.0/22 | 228.35.244.1 to 228.35.247.254 | 228.35.247.255 | 1,022 |
| 255 | 228.35.248.0/22 | 228.35.248.1 to 228.35.251.254 | 228.35.251.255 | 1,022 |
| 256 | 228.35.252.0/22 | 228.35.252.1 to 228.35.255.254 | 228.35.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |